Core - Task # 32186

Task # 32185 (Closed): Migrate TYPO3 Backend to ExtJS4

Status: Resolved Priority: Should have

Author: Steffen Ritter Category: Backend User Interface
Created: 2011-11-30 Assigned To: Stanislas Rolland
Updated: 2011-12-13 Due date:

TYPOS3 Version: 4.7

PHP Version: 53

Complexity:

Sprint Focus:

Subject: Exchange the ExtJS Core Library

Description

remove the Library itself

Associated revisions

Revision e149a551 - 2011-12-13 08:50 - Stanislas Rolland

[TASK] Migrate to ExtJS4: Exchange the ExtJS Core Library

1. Delete ExtJS 3.4 library
2. Add ExtJS 4.0.7 library
3. Adapt t3lib_pagerenderer

Change-Id: 159e5a896eb78c59066bb09192e60606a838fccOa
Resolves: #32186

Releases: 4.7

Reviewed-on: http://review.typo3.org/7092

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Tested-by: Stefan Neufeind

History

#1 - 2011-12-06 06:28 - Stanislas Rolland
In Incubator/project-extjs4, we have both

- ExtJS 3.4 (typo3/contrib/extjs)

- and ExtJS 4 (typo3/contrib/ext4)
in the typo3/contrib directory.

Should we delete ExtJS 3.4 and move ExtJS 4 code to typo3/contrib/extjs?

Or do we keep both versions of ExtJS 3.4?

#2 - 2011-12-06 09:00 - Steffen Ritter

Stanislas Rolland wrote:
In Incubator/project-extjs4, we have both

- ExtJS 3.4 (typo3/contrib/extjs)
- and ExtJS 4 (typo3/contrib/ext4)

in the typo3/contrib directory.

Should we delete ExtJS 3.4 and move ExtJS 4 code to typo3/contrib/extjs?

Or do we keep both versions of ExtJS 3.4?

I think we should remove ExtJS 3.x completely... We won't support it anyhow anymore...

What speaks against it?

#3 - 2011-12-06 09:42 - Stanislas Rolland

If any user extension is using ExtJS 3.4 in FE... Well, | suppose they can either migrate or include ExtJS 3 on their own.

OK, then, | will remove ExtJS 3.

#4 - 2011-12-06 09:43 - Stanislas Rolland

- Assigned To set to Stanislas Rolland

#5 - 2011-12-06 19:18 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7092

#6 - 2011-12-13 09:00 - Stanislas Rolland
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:e149a551e4e81145ab59dea8578128ebebcbfedb.
